SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   BIND Vendors:   ISC (Internet Software Consortium)
(Oracle Issues Fix for Oracle Linux) BIND Recursion Processing Error in 'netaddr.c' Lets Remote Users Cause the Target 'named' Service to Crash
SecurityTracker Alert ID:  1040286
SecurityTracker URL:  http://securitytracker.com/id/1040286
CVE Reference:   CVE-2017-3145   (Links to External Site)
Date:  Jan 26 2018
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 9.0.0 to 9.8.x, 9.9.0 to 9.9.11, 9.10.0 to 9.10.6, 9.11.0 to 9.11.2, 9.9.3-S1 to 9.9.11-S1, 9.10.5-S1 to 9.10.6-S1, 9.12.0a1 to 9.12.0rc1
Description:   A vulnerability was reported in BIND. A remote user can cause the target service to crash.

The system does not properly sequence cleanup operations for upstream recursion fetch contexts. A remote server can return specially crafted data to trigger a use-after-free memory error and cause the target named service to crash.

[Editor's note: The vendor indicates that there are no known exploit paths in the code prior to the fix for CVE-2017-3137.]

Jayachandran Palanisamy of Cygate AB reported this vulnerability.

Impact:   A remote user can cause the target service to crash.
Solution:   Oracle has issued a fix for CVE-2017-3145.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2018-0101.html

Vendor URL:  linux.oracle.com/errata/ELSA-2018-0101.html (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  6

Message History:   This archive entry is a follow-up to the message listed below.
Jan 16 2018 BIND Recursion Processing Error in 'netaddr.c' Lets Remote Users Cause the Target 'named' Service to Crash



 Source Message Contents

Subject:  [El-errata] ELSA-2018-0101 Important: Oracle Linux 6 bind security update

Oracle Linux Security Advisory ELSA-2018-0101

http://linux.oracle.com/errata/ELSA-2018-0101.html

The following updated rpms for Oracle Linux 6 have been uploaded to the 
Unbreakable Linux Network:

i386:
bind-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-chroot-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-devel-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-libs-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-sdb-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-utils-9.8.2-0.62.rc1.el6_9.5.i686.rpm

x86_64:
bind-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm
bind-chroot-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm
bind-devel-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-devel-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm
bind-libs-9.8.2-0.62.rc1.el6_9.5.i686.rpm
bind-libs-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm
bind-sdb-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm
bind-utils-9.8.2-0.62.rc1.el6_9.5.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol6/SRPMS-updates/bind-9.8.2-0.62.rc1.el6_9.5.src.rpm



Description of changes:

[32:9.8.2-0.62.rc1.5]
- Fix CVE-2017-3145


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC